Quote
This API is used to obtain the real-time quotes of US stock options, including the option-specific data.
message MultiSecurityRequest {
repeated string symbol = 1;
}
message OptionQuoteResponse {
repeated OptionQuote secu_quote = 1;
}
Quote Permission RequiredOPRA
- No US options quote permission by default for new funded accounts.
- Purchase "OPRA US Options Quotes (OpenAPI)" in the Quote Store to access US options real-time data.
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
symbol | string[] | Required | Security code list. obtain the symbol of the options through the optionchain API, for example: [BABA230120C160000.US]. Max 500 symbols per request |
Response fields
| Name | Type | Required | Description |
|---|---|---|---|
secu_quote | object[] | Optional | Options quote |
└ symbol | string | Optional | Security code |
└ last_done | string | Optional | Latest price |
└ prev_close | string | Optional | Yesterday's close |
└ open | string | Optional | Open |
└ high | string | Optional | High |
└ low | string | Optional | Low |
└ timestamp | int64 | Optional | Time of latest price |
└ volume | int64 | Optional | Volume |
└ turnover | string | Optional | Turnover |
└ trade_status | int32 | Optional | Security trading status, see TradeStatus |
└ option_extend | object | Optional | Option extend quote |
└ implied_volatility | string | Optional | Implied volatility |
└ open_interest | int64 | Optional | Number of open positions |
└ expiry_date | string | Optional | Expiry date, in YYMMDD format |
└ strike_price | string | Optional | Strike price |
└ contract_multiplier | string | Optional | Contract multiplier |
└ contract_type | string | Optional | Option type: A - American, U - Europe |
└ contract_size | string | Optional | Contract size |
└ direction | string | Optional | Direction: P - put, C - call |
└ historical_volatility | string | Optional | Underlying security historical volatility of the option |
└ underlying_symbol | string | Optional | Underlying security symbol of the option |
Response JSON example
{
"secu_quote": [
{
"symbol": "AAPL220429P162500.US",
"last_done": "7.78",
"prev_close": "4.13",
"timestamp": 1651003200,
"volume": 3082,
"turnover": "1813434.00",
"option_extend": {
"implied_volatility": "0.592",
"open_interest": 11463,
"expiry_date": "20220429",
"strike_price": "162.50",
"contract_type": "A",
"direction": "P",
"underlying_symbol": "AAPL.US"
}
}
]
}